.menu-block {
  position: fixed;
  top: 0;
  left: 0;
  &.el-menu {
    background-color: $--color-menu-background;
    border: none;
    overflow-y: auto;
  }
  .home-link {
    transition: opacity .2s ease-in-out;
    &:hover {
      opacity: .8;
    }
  }
  .menu-label {
    width: 100%;
    display: block;
    padding-left: 35px;
    margin-top: 30px;
    margin-bottom: 15px;
    @media screen and (max-width: 1520px) {
      border-bottom: 1px solid $--color-menu-label;
      height: 0;
      line-height: 0;
      padding: 0;
      margin: 0;
      &:first-of-type {
        margin-top: 0;
        border-bottom: none;
      }
    }
  }
  &__logo {
    padding: 15px;
    width: 200px;
    text-align: center;
    margin: 25px auto 40px;
    border-radius: 10px;
    background-color: #f4f4f4;
    img {
      max-width: 100%;
    }
  }
  &_expand {
    width: 300px;
    height: 100vh;
    .el-menu-item {
      padding: 10px 40px;
      height: auto;
      line-height: 22px;
      white-space: normal;
      font-size: $-font-size-base;
      span {
        margin-left: 15px;
      }
    }
  }
  &_collapse,
  &.el-menu--collapse {
    width: 100px;
    height: 100vh;
    .menu-block__logo {
      margin: 15px auto 25px;
      padding: 10px;
      width: 60px;
      height: 50px;
      border-radius: 5px;
      img {
        max-height: 50px;
      }
    }
    .menu-block__icon {
      display: inline-block;
      margin-left: 18px;
    }
  }
  &__hr {
    border-top: 1px solid mix($--color-menu-background, $--color-white, 95%);
  }
  .menu-item, .el-menu-item.is-active {
    color: mix($--color-primary, $--color-white, 75%);
    .menu-block__icon path{
      fill: mix($--color-primary, $--color-white, 75%);
    }
    &:hover, &:active {
      background-color: #2f344b;
    }
    &:focus {
      background-color: rgba(255,255,255,0);
    }
  }
  &__icon {
    path {
      fill: $--background-color-base;
    }
  }
  .el-menu-item.active-item {
    color: $--background-color-base;
    .menu-block__icon path{
      fill: $--background-color-base;
    }
  }
}

.menu-expand {
  position: relative;
  padding-left: 320px;
  padding-right: 20px;
}

.menu-collaps {
  position: relative;
  padding-left: 120px;
  padding-right: 20px;
}

.menu-expand,
.menu-collaps {
  .el-menu {
    position: fixed;
  }
}
